% convergence analysis

mu = 1.;
for Nk = 1:size(V_POD,2)
  [Q_dof_ROM, Q_flux_ROM, K, M, Get_Flux] = hyperreduced_simulation(mu,n,tri(Omega_Z,:),PosNoeuds,Lbord,ech,'n',V_POD(:,1:Nk),F);
  Nt = min(size(Q_dof_ROM,2), size(Q_dof_mu,2));
  DQ = Q_dof_ROM(:,Nt)-Q_dof(:,Nt);
  Cv_Total_approximation_error(Nk) = norm(DQ)/norm(Q_dof_mu)
end
figure
semilogy(Cv_Total_approximation_error)
title('Convergence of the approximation error related to the HROM')
xlabel('Number of modes')