function [P,F] = deim(V)

r = V(:,1);
[rmax,i] = max(abs(r));
F=i;
P = zeros(size(V,1),1);
P(i) = 1;
for k=2:size(V,2)
% gamma = (P'*V(:,1:(k-1)))\(P'*V(:,k));
  gamma =     V(F,1:(k-1)) \    V(F,k);
  r = V(:,k) - V(:,1:(k-1))*gamma;
  [rmax,i] = max(abs(r));
  F = [F,i];
  ei = zeros(size(V,1),1);
  ei(i) = 1;
  P = [P,ei];
end