function [RID_elem,RID_ddl,RID_test] = domaine_reduit(tri,PosNoeuds,Nb_voisins,Q,Y)

Vecteurs_de_base = zeros(size(tri,1),size(Q,2)*2+size(Y,2));
for ie=1:size(tri,1)
  noeuds = tri(ie,:);
  ddl = noeuds;
  [we,NEF,GEF,BEF] = elemtr3dp(PosNoeuds(noeuds,:));
  Vecteurs_de_base(ie,1:size(Q,2)) = NEF*Q(ddl,:);
  for k=1:size(Q,2)
      Norme_Grad_T = norm(GEF*Q(ddl,k));
      Vecteurs_de_base(ie,size(Q,2)+k) = Norme_Grad_T;
  end
  Vecteurs_de_base(ie,size(Q,2)*2+(1:size(Y,2))) = NEF*Y(ddl,:);
end
[RID_elem,RID_ddl,RID_test] = domaine_reduit_par_elem(size(PosNoeuds,1),tri,Nb_voisins,Vecteurs_de_base);

disp(['Reduction du domaine d''integration : ',num2str(size(tri,1)/length(RID_elem))])

figure
trimesh(tri(RID_elem,:),PosNoeuds(:,1),PosNoeuds(:,2))

